import { cloneAsImmutable } from '../internals';
import { isImmutable } from '@collectable/core';
export function freeze(tree) {
    return isImmutable(tree._owner) ? tree : cloneAsImmutable(tree);
}
export function isFrozen(tree) {
    return isImmutable(tree._owner);
}

//# sourceMappingURL=freeze.js.map
